vasp job_script

Questions will be moved to this forum when we consider them out of scope for support from our side: for instance when we do not have the necessary expertise to come up with an answer.
Another user still might, though!

Moderators: Global Moderator, Moderator

Post Reply
Message
Author
jemalyimer_damte
Newbie
Newbie
Posts: 6
Joined: Tue Mar 05, 2024 3:32 pm

vasp job_script

#1 Post by jemalyimer_damte » Tue Mar 12, 2024 7:55 am

I used the following job script to submit my vasp job to metacentrum
supercmputer, it did not work. I found errors, could you please figure out. thanks.

Number of atom types: 2
Multiplicities of these types: C H
Total number of atoms: 0
Number of atom types: 2
Multiplicities of these types: C H
Total number of atoms: 0
grep: OUTCAR: No such file or directory
grep: OUTCAR: No such file or directory
grep: OUTCAR: No such file or directory
grep: OUTCAR: No such file or directory
grep: OUTCAR: No such file or directory


#!/bin/bash
#PBS -N graphne
#PBS -l select=1:ncpus=4:mem=12000mb:scratch_local=6000mb
#PBS -l walltime=1:00:00
#PBS -j oe

module add vasp/6.4.2
mpirun vp

hostname
cd $SCRATCHDIR
DATADIR="/storage/praha1/home/jemal/try_vasp"
cp -r $DATADIR/* .



cp -r * $DATADIR && rm -r *

andreas.singraber
Global Moderator
Global Moderator
Posts: 235
Joined: Mon Apr 26, 2021 7:40 am

Re: vasp job_script

#2 Post by andreas.singraber » Tue Mar 12, 2024 12:36 pm

Hello!

Unfortunately I cannot help you with setting up the submit script for your HPC center, maybe this page gives you hints: https://docs.metacentrum.cz/software/sw-list/vasp/

The output you posted first does not seem to come from VASP but rather from some post-processing script. The script expects the OUTCAR file but it could not be found. So, either your are running the script in the wrong directory or VASP was not executed properly and did not produce the file.

Maybe there is another user running VASP on the same HPC center who can help?

Best,
Andreas Singraber

jemalyimer_damte
Newbie
Newbie
Posts: 6
Joined: Tue Mar 05, 2024 3:32 pm

Re: vasp job_script

#3 Post by jemalyimer_damte » Tue Mar 12, 2024 1:32 pm

Thank you so much.

jemalyimer_damte
Newbie
Newbie
Posts: 6
Joined: Tue Mar 05, 2024 3:32 pm

Re: vasp job_script

#4 Post by jemalyimer_damte » Wed Mar 13, 2024 8:20 am

Thank you so much @andreas.singrabe. I did not figure out sill the error is present as below. Does the error comes from the script?

/software/vasp/vasp-utils/vtstscripts/vp[28]: let: natoms=0+C
: arithmetic syntax error

andreas.singraber
Global Moderator
Global Moderator
Posts: 235
Joined: Mon Apr 26, 2021 7:40 am

Re: vasp job_script

#5 Post by andreas.singraber » Wed Mar 13, 2024 9:35 am

Hello!

It seems the script vp you are running belongs to the VTST Tools (https://theory.cm.utexas.edu/vtsttools/scripts.html). Please note that I cannot give you any advice how to use this third-party software.

Nevertheless, I believe that you need to run VASP before using the vp post-processing script. However, in your job script you are only running

Code: Select all

mpirun vp
Maybe, it suffices to replace that with

Code: Select all

mpirun vasp
vp
I am guessing here, because I do not know how your HPC center has set up the user environment. Please consult the documentation for your cluster. Note, that vp is most likely not an MPI-parallelized program, so I removed the mpirun in front.

All the best,
Andreas Singraber

jemalyimer_damte
Newbie
Newbie
Posts: 6
Joined: Tue Mar 05, 2024 3:32 pm

Re: vasp job_script

#6 Post by jemalyimer_damte » Wed Mar 13, 2024 10:20 am

Actually, I prepared the job script using this example. Appreciation for your reply.

Batch job example
The batch script in the following example is called myJob.sh.

Code: Select all

(BUSTER)user123@skirit:~$ cat myJob.sh
#!/bin/bash
#PBS -N batch_job_example
#PBS -l select=1:ncpus=4:mem=4gb:scratch_local=10gb
#PBS -l walltime=1:00:00 
# The 4 lines above are options for scheduling system: job will run 1 hour at maximum, 1 machine with 4 processors + 4gb RAM memory + 10gb scratch memory are requested

# define a DATADIR variable: directory where the input files are taken from and where output will be copied to
DATADIR=/storage/brno12-cerit/home/user123/test_directory # substitute username and path to to your real username and path

# append a line to a file "jobs_info.txt" containing the ID of the job, the hostname of node it is run on and the path to a scratch directory
# this information helps to find a scratch directory in case the job fails and you need to remove the scratch directory manually 
echo "$PBS_JOBID is running on node `hostname -f` in a scratch directory $SCRATCHDIR" >> $DATADIR/jobs_info.txt

#loads the Gaussian's application modules, version 03
module add g03

# test if scratch directory is set
# if scratch directory is not set, issue error message and exit
test -n "$SCRATCHDIR" || { echo >&2 "Variable SCRATCHDIR is not set!"; exit 1; }

# copy input file "h2o.com" to scratch directory
# if the copy operation fails, issue error message and exit
cp $DATADIR/h2o.com  $SCRATCHDIR || { echo >&2 "Error while copying input file(s)!"; exit 2; }

# move into scratch directory
cd $SCRATCHDIR

# run Gaussian 03 with h2o.com as input and save the results into h2o.out file
# if the calculation ends with an error, issue error message an exit
g03 <h2o.com >h2o.out || { echo >&2 "Calculation ended up erroneously (with a code $?) !!"; exit 3; }

# move the output to user's DATADIR or exit in case of failure
cp h2o.out $DATADIR/ || { echo >&2 "Result file(s) copying failed (with a code $?) !!"; exit 4; }

# clean the SCRATCH directory
clean_scratch

andreas.singraber
Global Moderator
Global Moderator
Posts: 235
Joined: Mon Apr 26, 2021 7:40 am

Re: vasp job_script

#7 Post by andreas.singraber » Wed Mar 13, 2024 11:27 am

Hello!

Ok, but this is a script for running Gaussian. I guess you want to modify it to run VASP instead, not VTST Tools. So please look up the documentation for your HPC center on how to run VASP there. I already gave you hints where to look next. If you cannot find the information on the help pages of the HPC center, then you may need to contact the system administrators directly. When you know which commands need to be executed to run VASP modify the script accordingly. I am sorry, but I cannot to do this work for you.

Best,
Andreas Singraber

jemalyimer_damte
Newbie
Newbie
Posts: 6
Joined: Tue Mar 05, 2024 3:32 pm

Re: vasp job_script

#8 Post by jemalyimer_damte » Wed Mar 13, 2024 12:18 pm

It is a good hint brother, thank you so much.

Post Reply